package tutorialJava.capitulo5.ej03_independenceDayConHerencia;

import tutorialJava.Utils;

public class Personaje {

	private int puntosVida;
	private String nombre;
	private boolean vivo;
	
	public Personaje() {
		super();
	}

	
	
	public Personaje(String nombre) {
		super();
		this.puntosVida = Utils.obtenerNumeroAzar(50, 100);
		this.nombre = nombre;
		this.vivo = true;
	}



	public Personaje(int puntosVida, String nombre, boolean vivo) {
		super();
		this.puntosVida = puntosVida;
		this.nombre = nombre;
		this.vivo = vivo;
	}

	public int getPuntosVida() {
		return puntosVida;
	}

	public void setPuntosVida(int puntosVida) {
		this.puntosVida = puntosVida;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public boolean isVivo() {
		return vivo;
	}

	public void setVivo(boolean vivo) {
		this.vivo = vivo;
	}

	@Override
	public String toString() {
		return "Personaje [puntosVida=" + puntosVida + ", nombre=" + nombre + ", vivo=" + vivo + "]";
	}

	

}
